aid_account_settings_sandbox_put
curl --request PUT \
--url https://api.dintero.com/v1/accounts/{aid}/management/settings/sandbox \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"services": {
"checkout": {
"payment_options": [
{
"currencies": [
"NOK"
]
}
],
"features": {}
}
}
}
'import requests
url = "https://api.dintero.com/v1/accounts/{aid}/management/settings/sandbox"
payload = { "services": { "checkout": {
"payment_options": [{ "currencies": ["NOK"] }],
"features": {}
} } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({services: {checkout: {payment_options: [{currencies: ['NOK']}], features: {}}}})
};
fetch('https://api.dintero.com/v1/accounts/{aid}/management/settings/sandbox', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/accounts/{aid}/management/settings/sandbox"
payload := strings.NewReader("{\n \"services\": {\n \"checkout\": {\n \"payment_options\": [\n {\n \"currencies\": [\n \"NOK\"\n ]\n }\n ],\n \"features\": {}\n }\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.dintero.com/v1/accounts/{aid}/management/settings/sandbox")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"services\": {\n \"checkout\": {\n \"payment_options\": [\n {\n \"currencies\": [\n \"NOK\"\n ]\n }\n ],\n \"features\": {}\n }\n }\n}")
.asString();{
"services": {
"checkout": {
"payment_options": [
{
"type": "bambora.creditcard",
"currencies": [
"NOK"
]
}
],
"features": {
"ipp": {
"sandbox_requested": "enable",
"sandbox_status": "declined"
}
}
}
},
"account_id": "<string>",
"status": "pending",
"created_by": "<string>",
"created_at": "<string>",
"updated_by": "<string>",
"updated_at": "<string>"
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}account-settings
Update Account sandbox settings
Request update of the sandbox settings. The update is done async.
scopes:
- admin:accounts
- write:accounts
PUT
https://api.dintero.com/v1
/
accounts
/
{aid}
/
management
/
settings
/
sandbox
aid_account_settings_sandbox_put
curl --request PUT \
--url https://api.dintero.com/v1/accounts/{aid}/management/settings/sandbox \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"services": {
"checkout": {
"payment_options": [
{
"currencies": [
"NOK"
]
}
],
"features": {}
}
}
}
'import requests
url = "https://api.dintero.com/v1/accounts/{aid}/management/settings/sandbox"
payload = { "services": { "checkout": {
"payment_options": [{ "currencies": ["NOK"] }],
"features": {}
} } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({services: {checkout: {payment_options: [{currencies: ['NOK']}], features: {}}}})
};
fetch('https://api.dintero.com/v1/accounts/{aid}/management/settings/sandbox', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/accounts/{aid}/management/settings/sandbox"
payload := strings.NewReader("{\n \"services\": {\n \"checkout\": {\n \"payment_options\": [\n {\n \"currencies\": [\n \"NOK\"\n ]\n }\n ],\n \"features\": {}\n }\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.dintero.com/v1/accounts/{aid}/management/settings/sandbox")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"services\": {\n \"checkout\": {\n \"payment_options\": [\n {\n \"currencies\": [\n \"NOK\"\n ]\n }\n ],\n \"features\": {}\n }\n }\n}")
.asString();{
"services": {
"checkout": {
"payment_options": [
{
"type": "bambora.creditcard",
"currencies": [
"NOK"
]
}
],
"features": {
"ipp": {
"sandbox_requested": "enable",
"sandbox_status": "declined"
}
}
}
},
"account_id": "<string>",
"status": "pending",
"created_by": "<string>",
"created_at": "<string>",
"updated_by": "<string>",
"updated_at": "<string>"
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}Authorizations
Bearer authentication (token authentication) should be used for accessing the API.
Use Get Token to get an access token for client credentials. Pass the token in the request header:
Authorization: Bearer {access_token}
where the access_token is JSON Web Tokens (JWT).
Path Parameters
An id that uniquely identifies the account.
Required string length:
9Body
application/json
Sandbox services
Show child attributes
Show child attributes
Response
Account sandbox settings
Sandbox services
Show child attributes
Show child attributes
The id that uniquely identifies the account.
Status of the sandbox settings
Available options:
pending, enabled Last modified on August 18, 2026
⌘I